#
#       Makefile for vralib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBFSRCS	= vrfna.f vrfna0.f vrfna1.f vrinc.f vrinc0.f vrinc1.f \
		  vrfct.f vrfct0.f vrfct1.f vrcon.f vrcon0.f vrcon1.f \
		  vrset.f radd.f radd0.f radd1.f rmlt.f rmlt0.f rmlt1.f \
		  rset.f rset0.f rset1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfna.o vrfna0.o vrfna1.o vrinc.o vrinc0.o vrinc1.o \
		  vrfct.o vrfct0.o vrfct1.o vrcon.o vrcon0.o vrcon1.o \
		  vrset.o radd.o radd0.o radd1.o rmlt.o rmlt0.o rmlt1.o \
		  rset.o rset0.o rset1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
